<template>
  <div>
    <div class="operation">
      <el-button class="success" icon="el-icon-plus" style="float: left;" @click="handleCreate">{{$t('premixedPlan.xzcc')}}</el-button>
      <el-button class="danger" icon="el-icon-delete" style="float: left;" @click="form_delete">{{$t('premixedPlan.jscc')}}</el-button>
    </div>
    <div class="search" />

    <div class="table">
      <el-table
        id="table"
        :key="table.tableKey"
        v-loading="table.listLoading"
        :element-loading-text="$t('common.tableMsg')"
        :data="table.list"
        border
        fit
        highlight-current-row
        style="width: 100%;"
        :row-style="rowStyle"
        :cell-style="cellStyle"
        class="elTable table-fixed"
        row-key="id"
        @selection-change="handleSelect"
      >
        <el-table-column type="selection" min-width="50" />
        <el-table-column :label="$t('errorAnalysis.projname')" min-width="85px" align="center">
          <template slot-scope="scope">
            <span v-if="scope.row.NoEdit">{{ scope.row.sort }}</span>
            <el-input v-if="scope.row.Edit" v-model.trim="scope.row.sort" type="number" style="width:80%;padding:10px 0;" />
          </template>
        </el-table-column>
        <el-table-column  :label="$t('errorAnalysis.feedName')"  min-width="110px" align="center">
          <template slot-scope="scope">
            <span v-if="scope.row.NoEdit">{{ scope.row.ftname }}</span>
            <el-select v-if="scope.row.Edit" v-model="scope.row.ftid" filterable placeholder="" class="filter-item" style="width:80%;padding:10px 0;" @change="(value)=> {changeformulaName(value, scope.row)}">
              <el-option v-for="item in formulaNameList" :key="item.id" :label="item.tname" :value="item.id" />
            </el-select>
          </template>
        </el-table-column>
        <el-table-column :label="$t('premixedPlan.tmrbh')"  prop="weight" min-width="130px" align="center">
          <template slot-scope="scope">
            <span v-if="scope.row.NoEdit">{{ scope.row.tmrcode }}</span>
            <el-select v-if="scope.row.Edit" v-model="scope.row.tmrid" filterable placeholder="" class="filter-item" style="width:80%;padding:10px 0;" @change="(value)=> {changeTMRNumber(value, scope.row)}">
              <el-option v-for="item in TMRNumberList" :key="item.id" :label="item.tname" :value="item.id" />
            </el-select>
          </template>
        </el-table-column>
        <el-table-column :label="$t('errorAnalysis.isTrainNumber')"  min-width="120px" align="center">
          <template slot-scope="scope">
            <span v-if="scope.row.NoEdit">{{ scope.row.times }}</span>
            <el-select v-if="scope.row.Edit" v-model="scope.row.times" filterable placeholder="" class="filter-item" style="width:80%;padding:10px 0;" @change="(value)=> {changeTimes(value, scope.row)}">
              <el-option v-for="item in frequencyList" :key="item.id" :label="item.name" :value="item.id" />
            </el-select>
          </template>
        </el-table-column>
        <el-table-column :label="$t('premixedPlan.sljhccgs')"  min-width="100px" align="center">
          <template slot-scope="scope">
            <span v-if="scope.row.NoEdit">{{ scope.row.lppcode }}</span>
            <el-select v-if="scope.row.Edit" v-model="scope.row.lppid" filterable clearable placeholder="" class="filter-item" style="width:80%;padding:10px 0;" @change="(value)=> {changeCarFollow(value, scope.row)}">
              <el-option v-for="item in carFollowList" :key="item.id" :label="item.lppcode" :value="item.id" />
            </el-select>
          </template>
        </el-table-column>
        <el-table-column :label="$t('premixedPlan.sx')"  min-width="80px" align="center">
          <template slot-scope="scope">
            <el-switch v-model="scope.row.enable" :disabled="scope.row.NoEdit==true" active-color="#13ce66" inactive-color="#ff4949" :active-value="1" :inactive-value="0" @change="handleEnableChange(scope.$index, scope.row)" />
          </template>
        </el-table-column>
        <el-table-column :label="$t('premixedPlan.time')"   min-width="130px" align="center">
          <template slot-scope="scope">
            <span v-if="scope.row.NoEdit">{{ scope.row.ptime }}</span>
            <el-time-picker v-if="scope.row.Edit" v-model="scope.row.ptime" type="datetime" :placeholder="$t('dailyExecutionPlan.xzrq')" format="HH:mm" value-format="HH:mm" style="display: inline-block;width: 95%;" />
          </template>
        </el-table-column>
        <el-table-column :label="$t('dailyExecutionPlan.dcczzd')" min-width="80px" align="center">
          <template slot-scope="scope">
            <span>{{ scope.row.maxweight }}</span>
          </template>
        </el-table-column>
        <el-table-column :label="$t('premixedPlan.hlzl')"  min-width="90px" align="center">
          <template slot-scope="scope">
            <span v-if="scope.row.NoEdit">{{ scope.row.operateweight }}</span>
            <el-input v-if="scope.row.Edit" v-model="scope.row.operateweight" type="number" style="width:80%;padding:10px 0;" />
          </template>
        </el-table-column>
        <el-table-column  :label="$t('errorAnalysis.cz')" align="center" min-width="80" class-name="small-padding fixed-width" fixed="right">
          <template slot-scope="{row}">
            <el-button v-if="row.isCreate" :disabled="isokDisable" icon="el-icon-folder-checked" class="miniSuccess" @click="createData(row)" />
            <span v-if="row.isCreate" class="centerSpan">|</span>
            <el-button v-if="row.isCreate" class="minCancel" icon="el-icon-close" @click="createCancel(row)" />
            <el-button v-if="row.isUpdate" :disabled="row.havebutton == 1" class="miniSuccess" icon="el-icon-edit-outline" @click="handleUpdate(row)" />
            <span v-if="row.isUpdate" class="centerSpan">|</span>
            <el-button v-if="row.isUpdate" :disabled="row.havebutton == 1" class="miniDanger" icon="el-icon-delete" @click="handleRowDelete(row)" />
            <el-button v-if="row.isUpdateSave" :disabled="isokDisable" icon="el-icon-folder-checked" class="miniSuccess" @click="updateData(row)" />
            <span v-if="row.isUpdateSave" class="centerSpan">|</span>
            <el-button v-if="row.isUpdateSave" class="minCancel" icon="el-icon-close" @click="updateCancel(row)" />
          </template>
        </el-table-column>
      </el-table>
    </div>
    </span>
  </div>
</template>

<script>
import {
  GetDataByName,
  GetDataByNames,
  PostDataByName,
  failproccess,
  ExecDataByConfig
} from '@/api/common'
import Sortable from 'sortablejs'
import Pagination from '@/components/Pagination'
import Cookies from 'js-cookie'
import { MessageBox } from 'element-ui'
export default {
  name: 'PremixedPlan',
  components: { Pagination },
  props: {
    show: { type: Boolean, default: false }, // 弹框可见标志
    parentDate: { type: String, defalut: '' }
  },
  data() {
    return {
      date: '',
      requestParams: [
        {
          name: 'getTMRYHList',
          offset: 0,
          pagecount: 0,
          parammaps: { pastureid: Cookies.get('pastureid') }
        },
        {
          name: 'getFTYHList',
          offset: 0,
          pagecount: 0,
          parammaps: { pastureid: Cookies.get('pastureid') }
        }
      ],
      formulaNameList: [], // 配方名称
      TMRNumberList: [], // TMR编号

      // 班次
      maxTime: {
        getMaxTimesParm: {
          name: 'getSysoptEnable',
          page: 1,
          offset: 1,
          pagecount: 1,
          returntype: 'Map',
          parammaps: {
            pastureid: Cookies.get('pastureid'),
            inforname: 'times'
          }
        }
      },
      frequencyList: [], // 班次
      getCarFollowParm: {
        name: 'getLPPCodeListdate',
        offset: 0,
        pagecount: 0,
        parammaps: {
          pastureid: Cookies.get('pastureid'),
          times: ''
        }
      },
      carFollowList: [], // 发料计划车次跟随

      table: {
        getdataListParm: {
          name: 'getPremixplanListdate',
          page: 1,
          offset: 1,
          pagecount: '',
          returntype: 'Map',
          parammaps: {
            pastureid: Cookies.get('pastureid')
          }
        },
        tableKey: 0,
        list: [],
        total: 0,
        listLoading: true
      },
      selectList: [],
      isokDisable: false,
      requestParam: {},
      rowStyle: { maxHeight: 30 + 'px', height: 30 + 'px' },
      cellStyle: { padding: 0 + 'px' },
      dropState: false
    }
  },
  watch: {
    // 监听show,visible 随着show变化而变化
    show: {
      immediate: true,
      handler(newVal, oldVal) {
        console.log('newVal-show', newVal)
      }
    },
    parentDate: {
      immediate: true,
      handler(newVal, oldVal) {
        console.log('newVal-show', newVal)
        this.date = newVal
      }
    }
  },
  created() {
    this.getDownList()
    this.getIsDisplay()
    this.getList()
  },
  methods: {
    getDownList() {
      GetDataByNames(this.requestParams).then((response) => {
        this.TMRNumberList = response.data.getTMRYHList.list
        this.formulaNameList = response.data.getFTYHList.list
      })
    },
    getIsDisplay() {
      GetDataByName(this.maxTime.getMaxTimesParm).then((response) => {
        if (response.data.list[0].inforvalue == 1) {
          this.frequencyList = [{ id: '1', name: this.$t('errorAnalysis.one') }]
        } else if (response.data.list[0].inforvalue == 2) {
          this.frequencyList = [
            { id: '1', name: this.$t('errorAnalysis.one') },
            { id: '2', name: this.$t('errorAnalysis.two') }
          ]
        } else if (response.data.list[0].inforvalue == 3) {
          this.frequencyList = [
            { id: '1', name: this.$t('errorAnalysis.one') },
            { id: '2', name: this.$t('errorAnalysis.two') },
            { id: '3', name: this.$t('errorAnalysis.three') }
          ]
        } else if (response.data.list[0].inforvalue == 4) {
          this.frequencyList = [
            { id: '1', name: this.$t('errorAnalysis.one') },
            { id: '2', name: this.$t('errorAnalysis.two') },
            { id: '3', name: this.$t('errorAnalysis.three') },
            { id: '4', name: this.$t('errorAnalysis.four') }
          ]
        }
      })
    },
    getList() {
      this.table.listLoading = true
      this.table.getdataListParm.parammaps.date = this.date
      GetDataByName(this.table.getdataListParm).then((response) => {
        console.log('table数据', response.data.list)
        if (response.data.list !== null) {
          for (let i = 0; i < response.data.list.length; i++) {
            this.$set(response.data.list[i], 'Edit', false) // 编辑
            this.$set(response.data.list[i], 'NoEdit', true) // 不可编辑/输入
            this.$set(response.data.list[i], 'groupEdit', false) // 饲料组编辑
            this.$set(response.data.list[i], 'groupNoEdit', true) // 饲料组不可编辑
            this.$set(response.data.list[i], 'isCreate', false) // 新增操作
            this.$set(response.data.list[i], 'isUpdate', true) // 编辑操作
            this.$set(response.data.list[i], 'isUpdateSave', false) // 编辑保存
          }
          this.table.list = response.data.list
          this.table.pageNum = response.data.pageNum
          this.table.pageSize = response.data.pageSize
          this.rowDrop()
          this.table.total = response.data.total
        } else {
          this.table.list = []
        }

        setTimeout(() => {
          this.table.listLoading = false
        }, 100)
      })
    },
    // 配方名称
    changeformulaName(item, row) {
      row.ftname = this.formulaNameList.find((obj) => obj.id == item).tname
    },
    // TMR编号
    changeTMRNumber(item, row) {
      row.tmrcode = this.TMRNumberList.find((obj) => obj.id == item).tname
      row.maxweight = this.TMRNumberList.find(
        (obj) => obj.id == item
      ).maxstirfeed
    },
    // 撒料计划车次跟随列表
    changeCarFollow(item, row) {
      if (item == '') {
        row.lppcode = ''
      } else {
        row.lppcode = this.carFollowList.find((obj) => obj.id == item).lppcode
      }
    },
    // 班次
    changeTimes(item, row) {
      console.log(item, row)
      this.getCarFollowParm.parammaps.times = item
      this.getCarFollowList(row)
    },
    // 撒料计划车次跟随列表
    getCarFollowList(row) {
      this.getCarFollowParm.parammaps.date = this.date
      GetDataByName(this.getCarFollowParm).then((response) => {
        console.log('撒料计划车次跟随列表数据', response.data.list)
        if (response.data.list !== null) {
          this.carFollowList = response.data.list
          row.lppid = this.carFollowList[0].id
          row.lppcode = this.carFollowList[0].lppcode
        }
      })
    },
    handleEnableChange() {
      console.log('点击了生效')
    },
    // 行拖拽
    rowDrop() {
      console.log(
        document.querySelector('#table .el-table__body-wrapper tbody')
      )
      const tbody = document.querySelector(
        '#table .el-table__body-wrapper tbody'
      )
      const that = this
      var sortable = Sortable.create(tbody, {
        disabled: that.dropState,
        onChoose({ newIndex, oldIndex }) {
          if (that.dropState == true) {
            sortable.destroy()
          }
        },
        onEnd({ newIndex, oldIndex }) {
          const currRow = that.table.list.splice(oldIndex, 1)[0]
          that.table.list.splice(newIndex, 0, currRow)
          console.log('索引', newIndex)
          console.log('拖动数据', currRow)
          console.log('上', that.table.list[newIndex - 1])
          console.log('下', that.table.list[newIndex + 1])
        }
      })
    },

    // 模板新增
    handleCreate() {
      this.dropState = true
      console.log('点击了新增车次')
      // 编辑true/不可编辑false
      // 新增操true,编辑false，编辑保存false
      for (let i = 0; i < this.table.list.length; i++) {
        if (this.table.list[i].Edit === true) {
          console.log(123)
          this.$message({
            type: 'error',
            message: this.$t('driver.messageNote'),
            duration: 2000
          })
          return false
        }
      }
      var sort = 1
      if (this.table.list.length > 0) {
        sort = parseInt(this.table.list[this.table.list.length - 1].sort) + 1
      } else {
        sort = 1
      }
      this.table.list.unshift({
        myId: new Date().valueOf(),
        Edit: true,
        NoEdit: false,
        isCreate: true,
        isUpdate: false,
        isUpdateSave: false,
        enable: 1,
        sort: sort,
        ftid: '',
        ftname: '',
        tmrcode: '',
        tmrid: '',
        times: '',
        lppcode: '',
        lppid: '',
        ptime: '',
        maxweight: '',
        operateweight: ''
      })
    },
    createData(row) {
      console.log('点击了新增保存', row)

      if (
        row.sort == '' &&
        row.ftid == '' &&
        row.tmrid == '' &&
        row.times == '' &&
        row.operateweight == ''
      ) {
        this.$message({
          type: 'error',
          message: this.$t('message.msg142'),
          duration: 2000
        })
        return false
      } else if (
        row.ftid == '' &&
        row.tmrid == '' &&
        row.times == '' &&
        row.operateweight == ''
      ) {
        this.$message({
          type: 'error',
          message: this.$t('message.msg143'),
          duration: 2000
        })
        return false
      } else if (
        row.tmrid == '' &&
        row.times == '' &&
        row.operateweight == ''
      ) {
        this.$message({
          type: 'error',
          message: this.$t('message.msg144'),
          duration: 2000
        })
        return false
      } else if (row.times == '' && row.operateweight == '') {
        this.$message({
          type: 'error',
          message: this.$t('message.msg145'),
          duration: 2000
        })
        return false
      } else if (row.sort == '' || row.sort == 0) {
        this.$message({
          type: 'error',
          message: this.$t('message.msg146'),
          duration: 2000
        })
        return false
      } else if (row.ftid == '') {
        this.$message({
          type: 'error',
          message: this.$t('message.msg18'),
          duration: 2000
        })
        return false
      } else if (row.tmrid == '') {
        this.$message({
          type: 'error',
          message: this.$t('message.msg147'),
          duration: 2000
        })
        return false
      } else if (row.times == '') {
        this.$message({
          type: 'error',
          message: this.$t('message.msg148'),
          duration: 2000
        })
        return false
      } else if (row.operateweight == '') {
        this.$message({
          type: 'error',
          message: this.$t('message.msg149'),
          duration: 2000
        })
        return false
      }
      for (let i = 0; i < this.table.list.length; i++) {
        if (row.sort !== '') {
          if (row.sort == this.table.list[i].sort) {
            if (row.myId !== this.table.list[i].myId) {
              this.$message({
                type: 'error',
                message: this.$t('message.msg150'),
                duration: 2000
              })
              return false
            }
          }
        }
      }
      var isInteger = /^\d+$/
      if (row.sort !== '') {
        if (!isInteger.test(parseFloat(row.sort))) {
          this.$message({
            type: 'error',
            message: this.$t('message.msg151'),
            duration: 2000
          })
          return false
        }
      }
      this.isokDisable = true
      setTimeout(() => {
        this.isokDisable = false
      }, 1000)
      this.requestParam.name = 'insertPremixplandate'
      row.date = this.date
      this.requestParam.parammaps = row
      this.requestParam.parammaps.pastureid = Cookies.get('pastureid')
      PostDataByName(this.requestParam).then((response) => {
        console.log('新增保存发送参数', this.requestParam)
        if (response.msg !== 'fail') {
          this.$notify({
            title: this.$t('common.succes'),
            message: this.$t('driver.saveSuccess'),
            type: 'success',
            duration: 2000
          })
          this.getList()
          this.dropState = false
        } else {
          this.$notify({
            title: this.$t('driver.saveFail'),
            message: response.data,
            type: 'warning',
            duration: 2000
          })
        }
      })
    },
    createCancel(row) {
      console.log('点击了新增取消')
      this.dropState = false
      for (let i = 0; i < this.table.list.length; i++) {
        if (row.myId === this.table.list[i].myId) {
          var listIndex = this.table.list.indexOf(this.table.list[i])
        }
        if (listIndex > -1) {
          this.table.list.splice(listIndex, 1)
          return
        }
      }
    },

    // 模板编辑
    handleUpdate(row) {
      for (let i = 0; i < this.table.list.length; i++) {
        if (this.table.list[i].Edit == true) {
          this.$message({
            type: 'error',
            message: this.$t('driver.messageNote'),
            duration: 2000
          })
          return false
        }
      }
      // 编辑true,不可编辑false
      row.Edit = true
      row.NoEdit = false
      // 新增false,编辑false,编辑保存true
      row.isCreate = false
      row.isUpdate = false
      row.isUpdateSave = true
      row.lppid = String(row.lppid)
      if (row.times == '第一班') {
        this.getCarFollowParm.parammaps.times = '1'
        row.times = '1'
      } else if (row.times == '第二班') {
        this.getCarFollowParm.parammaps.times = '2'
        row.times = '2'
      } else if (row.times == '第三班') {
        this.getCarFollowParm.parammaps.times = '3'
        row.times = '3'
      } else if (row.times == '第四班') {
        this.getCarFollowParm.parammaps.times = '4'
        row.times = '4'
      }
      console.log(row)
      GetDataByName(this.getCarFollowParm).then((response) => {
        console.log('撒料计划车次跟随列表数据', response.data.list)
        if (response.data.list !== null) {
          this.carFollowList = response.data.list
        }
      })
      this.dropState = true
    },
    updateData(row) {
      console.log('点击了编辑保存', row)
      if (
        row.ftid == '' &&
        row.tmrid == '' &&
        row.times == '' &&
        row.operateweight == ''
      ) {
        this.$message({
          type: 'error',
          message: this.$t('message.msg143'),
          duration: 2000
        })
        return false
      } else if (
        row.tmrid == '' &&
        row.times == '' &&
        row.operateweight == ''
      ) {
        this.$message({
          type: 'error',
          message: this.$t('message.msg144'),
          duration: 2000
        })
        return false
      } else if (row.times == '' && row.operateweight == '') {
        this.$message({
          type: 'error',
          message: this.$t('message.msg145'),
          duration: 2000
        })
        return false
      } else if (row.ftid == '') {
        this.$message({
          type: 'error',
          message: this.$t('message.msg18'),
          duration: 2000
        })
        return false
      } else if (row.tmrid == '') {
        this.$message({
          type: 'error',
          message: this.$t('message.msg147'),
          duration: 2000
        })
        return false
      } else if (row.times == '') {
        this.$message({
          type: 'error',
          message: this.$t('message.msg148'),
          duration: 2000
        })
        return false
      } else if (row.operateweight == '') {
        this.$message({
          type: 'error',
          message: this.$t('message.msg149'),
          duration: 2000
        })
        return false
      }
      for (let i = 0; i < this.table.list.length; i++) {
        if (row.sort == this.table.list[i].sort) {
          if (row.id !== this.table.list[i].id) {
            this.$message({
              type: 'error',
              message: this.$t('message.msg150'),
              duration: 2000
            })
            return false
          }
        }
      }
      var isInteger = /^\d+$/
      if (row.sort !== '') {
        if (!isInteger.test(parseFloat(row.sort))) {
          this.$message({
            type: 'error',
            message: this.$t('message.msg151'),
            duration: 2000
          })
          return false
        }
      }
      if (row.sort == '' || row.sort == 0) {
        this.$message({
          type: 'error',
          message: this.$t('message.msg146'),
          duration: 2000
        })
        return false
      }
      this.isokDisable = true
      setTimeout(() => {
        this.isokDisable = false
      }, 1000)
      this.requestParam.name = 'updatePremixplandate'
      row.date = this.date
      this.requestParam.parammaps = row
      PostDataByName(this.requestParam).then((response) => {
        console.log('新增保存发送参数', this.requestParam)
        if (response.msg !== 'fail') {
          this.$notify({
            title: this.$t('common.succes'),
            message: this.$t('driver.saveSuccess'),
            type: 'success',
            duration: 2000
          })
          this.getList()
          this.dropState = false
        } else {
          this.$notify({
            title: this.$t('driver.saveFail'),
            message: response.data,
            type: 'warning',
            duration: 2000
          })
        }
      })
    },
    updateCancel(row) {
      console.log('点击了编辑取消')
      // 编辑false,不可编辑true
      row.Edit = false
      row.NoEdit = true
      // 新增false,编辑true,编辑保存false
      row.isCreate = false
      row.isUpdate = true
      row.isUpdateSave = false
      this.getList()
      this.dropState = false
    },

    handleSelect(val) {
      console.log('勾选数据', val)
      this.selectList = val
    },
    // 行内删除
    handleRowDelete(row) {
      console.log(row, '点击了行删除')
      MessageBox.confirm(this.$t('common.delMsg'), {
        confirmButtonText: this.$t('common.confirm'),
        cancelButtonText: this.$t('common.cancel'),
        type: 'warning'
      })
        .then(() => {
          this.selectList = []
          this.requestParam = {}
          this.requestParam.name = 'deletePremixplandate'
          this.requestParam.parammaps = {}
          this.requestParam.parammaps.pastureid = row.pastureid
          this.requestParam.parammaps.id = row.id
          this.requestParam.parammaps.date = this.date
          PostDataByName(this.requestParam).then((response) => {
            if (response.msg === 'fail') {
              this.$notify({
                title: this.$t('common.delfail'),
                message: response.data,
                type: 'warning',
                duration: 2000
              })
            } else {
              this.$notify({
                title: this.$t('common.succes'),
                message: this.$t('common.delSuccess'),
                type: 'success',
                duration: 2000
              })
              this.getList()
            }
          })
        })
        .catch(() => {
          this.$message({ type: 'info', message: this.$t('common.cancelMsg') })
        })
    },
    // 减少车次
    form_delete() {
      if (this.selectList.length == 0) {
        this.$message({
          type: 'error',
          message: this.$t('message.msg12'),
          duration: 2000
        })
      } else {
        MessageBox.confirm(
          this.$t('message.msg29') +
            this.selectList.length +
            this.$t('message.msg31'),
          {
            confirmButtonText: this.$t('common.confirm'),
            cancelButtonText: this.$t('common.cancel'),
            type: 'warning'
          }
        ).then(() => {
          console.log(this.selectList)
          this.requestParam.common = { returnmap: '0' }
          this.requestParam.data = []
          this.requestParam.data[0] = {
            name: 'insertSpotList',
            resultmaps: { list: this.selectList }
          }
          this.requestParam.data[0].children = []
          this.requestParam.data[0].children[0] = {
            name: 'deletePremixplandate',
            type: 'e',
            parammaps: {
              id: '@insertSpotList.id',
              pastureid: '@insertSpotList.pastureid',
              date: this.date
            }
          }
          ExecDataByConfig(this.requestParam).then((response) => {
            console.log('删除保存发送参数', this.requestParam)
            if (response.msg === 'fail') {
              this.$notify({
                title: this.$t('common.delfail'),
                message: response.data,
                type: 'warning',
                duration: 2000
              })
            } else {
              this.$notify({
                title: '',
                message: this.$t('common.delSuccess'),
                type: 'success',
                duration: 2000
              })
              this.getList()
            }
          })
        })
      }
    }
  }
}
</script>
